# Generated by Django 4.0 on 2022-01-02 19:53

from django.db import migrations

def gen_timeframes(apps, schema_editor):
    # We can't import the Person model directly as it may be a newer
    # version than this migration expects. We use the historical version.
    TimeFrame = apps.get_model('app', 'TimeFrame')

    for timeframe in [ (3600, "1 hour"),
                       (86400, "1 day"),
                       (7*86400, "7 days"),
                       (30*86400, "30 days"),
                       (365*86400, "365 days") ]:
        tf = TimeFrame(name=timeframe[1],
                       seconds=timeframe[0])
        tf.save()


class Migration(migrations.Migration):

    dependencies = [
        ('app', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(gen_timeframes),
    ]
